Loading...
Searching...
No Matches
Utils.h File Reference
`#include <RDGeneral/export.h>`
`#include <tuple>`
`#include <Geometry/point.h>`

Go to the source code of this file.

## Namespaces

namespace | ForceFields
namespace | ForceFields::UFF
namespace | ForceFields::UFF::Utils

## Functions

RDKIT_FORCEFIELD_EXPORT double | ForceFields::UFF::Utils::calculateCosY (const RDGeom::Point3D &iPoint, const RDGeom::Point3D &jPoint, const RDGeom::Point3D &kPoint, const RDGeom::Point3D &lPoint)
RDKIT_FORCEFIELD_EXPORT std::tuple< double, double, double, double > | ForceFields::UFF::Utils::calcInversionCoefficientsAndForceConstant (int at2AtomicNum, bool isCBoundToO)
| calculates and returns the UFF force constant for an improper torsion